=== debian/changelog ===
john (1.7.9-jumbo-7-1maemo0) unstable; urgency=low

  * Pushed the version to the latest 1.7.9 and added lots of contributed
    patches adding support for over 40 of additional hash and cipher
    types (including popular ones such as NTLM, raw MD5, etc.), as well
    as some optimizations and features a.k.a The jumbo patch for 1.7.9,
    revision 7 ...
  * Fixed and packaged properly 'system wide' configuration (tired of
    this f*****g message 'fopen: john.ini: No such file or directory')
    ...

 -- COLIN Stephane <colin.stephane@ovi.com>  Fri, 30 Nov 2012 10:39:20 +0100
