=== debian/changelog ===
john (1.8.0-4ubuntu3) jammy; urgency=high

  * No change rebuild for ppc64el baseline bump.

 -- Julian Andres Klode <juliank@ubuntu.com>  Thu, 24 Mar 2022 13:05:03 +0100

john (1.8.0-4ubuntu2) impish; urgency=medium

  * No-change rebuild to build packages with zstd compression.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 07 Oct 2021 12:13:29 +0200

john (1.8.0-4ubuntu1) hirsute; urgency=medium

  * Fix FTBFS on s390x with LTO (LP: #1922012)
    - d/p/s390x-lto-ftbfs.diff: Don't try and inline a function which is
      used across two different compilation units as this can fail with LTO
      enabled.

 -- Alex Murray <alex.murray@canonical.com>  Wed, 31 Mar 2021 17:36:51 +1030

john (1.8.0-4) unstable; urgency=medium

  * Also unconditionally and always call "mkdir -p $RUNDIR" in cron
    job. (Really closes: #640288)
    + Make sure that /var/lib/john/ and /var/run/john/ are removed again
      on purge if empty.
  * Adopt package under the Debian Security Tools Team. (Closes: #981055).
    + Set Debian Security Tools <team+pkg-security@tracker.debian.org> as
      Maintainer.
    + Set Julián Moreno Patiño <julian@debian.org> and myself as Uploaders.
    + Switch to DEP14-style branches and add a debian/gbp.conf.
    + Update Vcs-* headers for moving to the pkg-security-team's repo.
    + Create a debian/salsa-ci.yml file.

 -- Axel Beckert <abe@debian.org>  Fri, 05 Feb 2021 04:59:29 +0100

john (1.8.0-3) unstable; urgency=medium

  * QA upload of recently orphaned package.
  * Set Maintainer to Debian QA Group <packages@qa.debian.org>, removing
    the Uploaders field. (See #981055, closes: #979054)
  * Add Vcs-* headers and let them point to Salsa.
  * Run "wrap-and-sort -a".
  * Remove trailing whitespace from ancient debian/changelog entries and
    in debian/rules. Thanks Lintian!
  * Use secure copyright file specification URI.
  * Use secure URI in debian/watch.
  * Bump debhelper from deprecated 9 to 13.
    + Pass --no-parallel to dh as john otherwise FTBFS.
  * Set debhelper-compat version in Build-Depends.
  * Enable all hardening flags.
  * Set "Rules-Requires-Root: no".
  * Bump debian/watch version from 3 to 4. Thanks Lintian!
  * Declare compliance with Debian Policy 4.5.1.
  * Update debian/watch to prefer .xz instead of .gz.
  * Replace the no more usable GPGv1 upstream signing key with a minified
    version of the Openwall offline signing key from
    https://www.openwall.com/signatures/openwall-offline-signatures.asc
  * Unconditionally and always call "mkdir -p $PIDDIR" in cron job. It's
    idempotent anyways. (Closes: #502878, #640288)
  * Enable OpenMP parallelization in upstream Makefile. (Closes: #824107)
  * Mark john-data as "Multi-Arch: foreign" as suggested by the Multiarch
    hinter.

 -- Axel Beckert <abe@debian.org>  Tue, 26 Jan 2021 05:01:27 +0100

john (1.8.0-2.1) unstable; urgency=medium

  * Non maintainer upload by the Reproducible Builds team.
  * No source change upload to rebuild on buildd with .buildinfo files.

 -- Holger Levsen <holger@debian.org>  Fri, 01 Jan 2021 15:34:58 +0100

john (1.8.0-2) unstable; urgency=medium

  * Add myself to Uploaders. Thanks to Ruben Molina
    for the permission.
  * Add missing hardening fortify functions export.
  * Bump Standards-Version to 3.9.5. (no changes).
  * Add support to check upstream gpg signature.
  * Add myself to debian copyright.

 -- Julián Moreno Patiño <julian@debian.org>  Wed, 19 Mar 2014 15:37:37 -0500

john (1.8.0-1) unstable; urgency=low

  * New upstream release (Closes: #670582)
  * Fixing $PIDDIR logic in crontab (Closes: #660822). Thanks Phil.
  * Reefreshing patches
  * Updating to Standards-Version 3.9.4 (no changes)
  * Updating install scripts
  * Updating debian/copyright for machine-readable format, version 1.0
  * Updating compatibility level to 9
  * Adding versioned Build-Depends on dpkg-dev (>= 1.16.1~)

 -- Ruben Molina <rmolina@udea.edu.co>  Mon, 26 Nov 2012 14:35:38 -0500
