=== debian/watch ===
version=4
opts=pgpsigurlmangle=s/$/.sign/ \
https://www.openwall.com/john/ ./john-([\d\.]+)\.tar\.xz
